targets:
  $default:
    # Reducing sources makes the build slightly faster (some of these are required
    # to exist in the default target).
    sources:
      - lib/**
      - web/**
      - "tool/**"
      - pubspec.yaml
      - lib/$lib$
      - $package$
    builders:
      drift_dev:
        options: &options
          apply_converters_on_variables: true
          generate_values_in_copy_with: true
          scoped_dart_components: true
          store_date_time_values_as_text: true
          # named_parameters: true
          sql:
            dialect: sqlite
            options:
              version: "3.39"
              modules:
                - fts5
                - json1
                - math

      drift_dev:preparing_builder:
        enabled: true


      # injectable
      injectable_generator:injectable_builder:
        options:  
          auto_register: true  
          # auto registers any class with a name matches the given pattern  
          class_name_pattern: "Service$|Repository$"  
          # auto registers any class inside a file with a  
          # name matches the given pattern  
          file_name_pattern: "_service$|_repository$"  

      # Locale
      slang_build_runner:
        options:
          base_locale: ru
          fallback_strategy: base_locale

